{ pkgs, ... }:
{
  services.minecraft-servers.servers.velocity = {
    package = pkgs.velocityServers.velocity;
    jvmOpts = "-Xmx512M";
    symlinks = {
      "plugins/SkinsRestorer.jar" = builtins.fetchurl {
        url = "https://github.com/SkinsRestorer/SkinsRestorer/releases/download/15.7.6/SkinsRestorer.jar";
        sha256 = "1zw946jh74kpmg2mga4zc0x8jp98a5i1qvmr20acwv9n0hh81yvg";
      };
      "plugins/ViaVersion.jar" = builtins.fetchurl {
        url = "https://github.com/ViaVersion/ViaVersion/releases/download/5.4.1/ViaVersion-5.4.1.jar";
        sha256 = "1bbh5g872nds9vs61s9zzr4lfx5rivqvyyaf5riqkkbxxq4fdshv";
      };
      "plugins/ViaBackwards.jar" = builtins.fetchurl {
        url = "https://github.com/ViaVersion/ViaBackwards/releases/download/5.4.1/ViaBackwards-5.4.1.jar";
        sha256 = "0dammfw0m806hf555wp1h4m2c36kfpb7q2f00lan5csxiswl6r13";
      };
      "plugins/Voicechat.jar" = builtins.fetchurl {
        url = "https://cdn.modrinth.com/data/9eGKb6K1/versions/svvcJhgC/voicechat-velocity-2.5.20.jar";
        sha256 = "0nw85x24qa9skbhfgbhsjl2r7d9xshr9f04nnq490zbgz7716lqq";
      };
    };
  };

  # Open ports for proxy
  networking.firewall = {
    # Server and info
    allowedTCPPorts = [
      25565
      19132
      5657
    ];
    # Server, VC, and Bedrock
    allowedUDPPorts = [
      25565
      19132
    ];
  };
}
